#ifndef _SCRIPTMANAGER_H
#define _SCRIPTMANAGER_H

extern "C"
{
#include "lua.h"
#include "lualib.h"
#include "lauxlib.h"
}

#include "Element.h"

class ScriptManager
{
 public:
  ScriptManager();
  virtual ~ScriptManager();

  void loadFile(string filename);
  void execute(string funcname, Element *self);

  Element* getSelf();

private:
  void vLoadModules();

  lua_State *vL;
  Element *vSelf;
};

#endif //_SCRIPTMANAGER_H
